﻿/*******************************************************************************
File        : stDataType.cs
Description : 
--------------------------------------------------------------------------------
Functions:
--------------------------------------------------------------------------------
History:
2011/04/12 WLM Created
*******************************************************************************/

using System;
using System.Drawing;
namespace WIDatabaseSample
{
/*******************************************************************************
Class        : stDataType
Description  : 
--------------------------------------------------------------------------------
History:
2011/04/12 WLM Created
*******************************************************************************/
public class stDataType
{
public bool BoolData;
public byte ByteData;
public Int16 Int16Data;
public Int32 Int32Data;
public Int64 Int64Data;
public decimal DecimalData;
public double DoubleData;
public float FloatData;
public DateTime DateTimeData;
public char CharData;
public char[] Char100Data;
public char VarCharData;
public char[] VarChar100Data;
public string TextData;
public Image BlobData;
public byte BinaryData;
public byte[] Binary100Data;

/*******************************************************************************
Constructor : stDataType()
Description : 
Parameters  : None
--------------------------------------------------------------------------------
History:
2011/04/12 WLM Created
*******************************************************************************/
public stDataType()
{
Clear();
}
/*******************************************************************************
Function    : Clear()
Description : 
Parameters  : None
Returns     : void
--------------------------------------------------------------------------------
History:
2011/04/12 WLM Created
*******************************************************************************/
public void Clear()
{
BoolData = false;
ByteData = 0;
Int16Data = 0;
Int32Data = 0;
Int64Data = 0;
DecimalData = 0;
DoubleData = 0;
FloatData = 0;
DateTimeData = DateTime.Now;;
CharData = ' ';
Char100Data = new char[100];
VarCharData = ' ';
VarChar100Data = new char[100];
TextData = "";
BlobData = null;
BinaryData = 0;
Binary100Data = new byte[100];
}
} /* End Of Class stDataType */
} /* End Of NameSpace WIDatabaseSample */